Name:           index
Version:        2.2.0
Release:        %autorelease
Summary:        Maui File manager
License:        BSD-2-Clause AND CC0-1.0 AND LGPL-3.0
URL:            https://mauikit.org/apps/index/
Source:         https://download.kde.org/stable/maui/index/%{version}/index-fm-%{version}.tar.xz

BuildRequires:  gcc-c++
BuildRequires:  cmake
BuildRequires:  extra-cmake-modules
BuildRequires:  cmake(Qt5Qml)
BuildRequires:  cmake(Qt5Quick)
BuildRequires:  cmake(Qt5QuickControls2)
BuildRequires:  cmake(KF5I18n)
BuildRequires:  cmake(KF5CoreAddons)
BuildRequires:  cmake(KF5Archive)
BuildRequires:  cmake(Qt5DBus)
BuildRequires:  cmake(KF5KIO)
BuildRequires:  cmake(Qt5Widgets)
BuildRequires:  cmake(Qt5QuickCompiler)
BuildRequires:  cmake(MauiKit)
BuildRequires:  cmake(MauiKitFileBrowsing)


%description
Index is a file manager that works on desktops, Android and Plasma Mobile.
Index lets you browse your system files and applications and preview your
music, text, image and video files and share them with external applications.


%prep
%autosetup -n index-fm-%{version}


%build
%cmake_kf5
%cmake_build


%install
%cmake_install
%find_lang index-fm


%files -f index-fm.lang
%license LICENSES/*
%{_bindir}/index
%{_datadir}/applications/org.kde.index.desktop
%{_metainfodir}/org.kde.index.appdata.xml
%{_datadir}/icons/hicolor/scalable/apps/index.svg
%{_datadir}/knotifications5/org.kde.index.notifyrc


%changelog
%autochangelog
